> For the complete documentation index, see [llms.txt](https://docs.beefree.io/beefree-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.beefree.io/beefree-sdk/getting-started/readme/installation/configuration-parameters/configuration-reload.md).

# Configuration Reload

## Overview <a href="#overview" id="overview"></a>

When you load a Beefree application inside the host application, you pass a [configuration object](/beefree-sdk/getting-started/readme/installation/configuration-parameters.md) with multiple sections that define the characteristics of the UI, UX, and available elements. However, there are cases when you may want to reload this configuration without the need to reload the Beefree application. In these cases, you can use a specific event to update the configuration while the editor is open.

## Use cases <a href="#use-cases" id="use-cases"></a>

With this event, you can make on-the-fly changes to the user experience. For example:

* Updating available categories for [Saved rows](/beefree-sdk/rows/storage/self-hosted-saved-rows.md)
* Refreshing a [Custom header](/beefree-sdk/other-customizations/advanced-options/custom-headers.md) for authorization
* Changing [Advanced permissions](/beefree-sdk/other-customizations/advanced-options/advanced-permissions.md) for the current user
* Updating settings for the editor’s [Content defaults](/beefree-sdk/other-customizations/appearance/content-defaults.md)

## How it works <a href="#how-it-works" id="how-it-works"></a>

You can load the configuration changes via a new instance event. Here’s an example:

```javascript

var newConfig = {
  advancedPermissions: {
    // new permissions
  }
}

bee.loadConfig(newConfig)

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.beefree.io/beefree-sdk/getting-started/readme/installation/configuration-parameters/configuration-reload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
